PDA

View Full Version : ExtJS Cmd issue



OllieJ
29 Oct 2013, 9:34 AM
I am also having this issue but with Ext JS:

[INF] [propertyfile] Updating property file: C:\ColdFusion9\wwwroot\OneLast\.sencha\workspace\sencha.cfg
[INF]
[INF] copy-framework-to-workspace:
[INF]
[INF] generate-workspace:
[INF]
[INF] -after-generate-workspace:
[INF]
[INF] init-plugin:
[INF]
[INF] cmd-root-plugin.init-properties:
[INF]
[INF] init-properties:
[INF]
[INF] init-sencha-command:
[INF]
[INF] init:
[INF]
[INF] before-upgrade:
[INF]
[INF] generate-app-impl:
[ERR]
[ERR] BUILD FAILED
[ERR] java.lang.NullPointerException
[ERR]
[ERR] Total time: 19 seconds
[ERR] java.lang.NullPointerException
at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:1
16)
at org.apache.tools.ant.Task.perform(Task.java:348)
at org.apache.tools.ant.Target.execute(Target.java:392)
at org.apache.tools.ant.Target.performTasks(Target.java:413)
at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1399)
at org.apache.tools.ant.Project.executeTarget(Project.java:1368)
at org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecut
or.java:41)
at org.apache.tools.ant.Project.executeTargets(Project.java:1251)
at com.sencha.ant.AntScript.execute(AntScript.java:127)
at com.sencha.command.plugin.PluginManager.execute(PluginManager.java:93)
at com.sencha.command.plugin.PluginManager.executeReverseFirst(PluginManage
r.java:134)
at com.sencha.command.environment.BuildEnvironment.execute(BuildEnvironment
.java:245)
at com.sencha.command.BasePluginCommands$BasePluginCommand.doExecute(BasePl
uginCommands.java:23)
at com.sencha.command.generator.GeneratorCommands$AppCommand.execute(Genera
torCommands.java:229)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at com.sencha.util.MethodInvoker$Arguments.invoke(MethodInvoker.java:174)
at com.sencha.cli.Command.dispatch(Command.java:42)
at com.sencha.cli.Commands.dispatch(Commands.java:68)
at com.sencha.cli.Commands.dispatch(Commands.java:68)
at com.sencha.command.Sencha.dispatch(Sencha.java:81)
at com.sencha.command.Sencha.main(Sencha.java:149)
Caused by: null

Ext JS version: 4.2.2.1144
Sencha Cmd Version: 4.0.0.203
I have also got Ruby 1.9 and JRE 1.6 installed as instructed.

fmoseley
29 Oct 2013, 11:47 AM
I have moved this post to the ExtJS forums. This is where you should post your ExtJS issues. You may want to take a look at the following post:
http://www.sencha.com/forum/showthread.php?269823-Include-only-required-classes-in-ext-all.js&p=988610&viewfull=1#post988610

Also I would install Java JDK.

OllieJ
30 Oct 2013, 1:39 AM
Installed JDK SE 7, reinstalled Ruby and Sencha Cmd and it is working fine now.
Thanks,